Bug 217357 - fontconfig complains of wrong arch cache files.
fontconfig complains of wrong arch cache files.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
6
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 08:39 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 20:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-11-27 08:39:05 EST
I've been playing with fonts and had _removed_ all files from
/var/cache/fontconfig; yet something recreated them and fc-cache then complains:

pmac /usr/share/fonts # fc-cache -s -v
/usr/share/fonts: skipping, 0 fonts, 6 dirs
/usr/share/fonts/bitmap-fonts: skipping, 31 fonts, 0 dirs
/usr/share/fonts/bitstream-vera: skipping, 10 fonts, 0 dirs
/usr/share/fonts/default: skipping, 0 fonts, 2 dirs
/usr/share/fonts/default/Type1: skipping, 35 fonts, 0 dirs
/usr/share/fonts/default/ghostscript: skipping, 8 fonts, 0 dirs
/usr/share/fonts/dejavu-fonts: skipping, 10 fonts, 0 dirs
/usr/share/fonts/dejavu-lgc: skipping, 21 fonts, 0 dirs
/usr/share/fonts/font_cd: skipping, 0 fonts, 25 dirs
/usr/share/fonts/font_cd/a: skipping, 176 fonts, 0 dirs
/usr/share/fonts/font_cd/atm_font: caching, 869 fonts, 0 dirs
/usr/share/fonts/font_cd/b: skipping, 179 fonts, 0 dirs
/usr/share/fonts/font_cd/c: skipping, 315 fonts, 0 dirs
/usr/share/fonts/font_cd/d: skipping, 103 fonts, 0 dirs
/usr/share/fonts/font_cd/e: skipping, 93 fonts, 0 dirs
/usr/share/fonts/font_cd/f: skipping, 179 fonts, 0 dirs
/usr/share/fonts/font_cd/g: skipping, 146 fonts, 0 dirs
/usr/share/fonts/font_cd/h: skipping, 103 fonts, 0 dirs
/usr/share/fonts/font_cd/i: skipping, 37 fonts, 0 dirs
/usr/share/fonts/font_cd/j: skipping, 28 fonts, 0 dirs
/usr/share/fonts/font_cd/k: skipping, 76 fonts, 0 dirs
/usr/share/fonts/font_cd/l: skipping, 125 fonts, 0 dirs
/usr/share/fonts/font_cd/m: skipping, 141 fonts, 0 dirs
/usr/share/fonts/font_cd/n: skipping, 97 fonts, 0 dirs
/usr/share/fonts/font_cd/o: skipping, 51 fonts, 0 dirs
/usr/share/fonts/font_cd/p: skipping, 128 fonts, 0 dirs
/usr/share/fonts/font_cd/q: skipping, 2 fonts, 0 dirs
/usr/share/fonts/font_cd/r: skipping, 117 fonts, 0 dirs
/usr/share/fonts/font_cd/s: skipping, 181 fonts, 0 dirs
/usr/share/fonts/font_cd/t: skipping, 314 fonts, 0 dirs
/usr/share/fonts/font_cd/u: skipping, 47 fonts, 0 dirs
/usr/share/fonts/font_cd/v: skipping, 35 fonts, 0 dirs
/usr/share/fonts/font_cd/w: skipping, 37 fonts, 0 dirs
/usr/share/fonts/font_cd/z: skipping, 10 fonts, 0 dirs
/usr/share/X11/fonts/Type1: skipping, 29 fonts, 0 dirs
/usr/share/X11/fonts/OTF: skipping, no such directory
/var/cache/fontconfig: cleaning cache directory
/var/cache/fontconfig: invalid cache file:
7dee237f3cf39a3a540aa88f75a215b8-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
bda47039701321994afd2ab41d5fe508-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
b281915326e56ee6107a2abd5967aa9d-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
5ce69c52ea2a753fcdeac38b3711afd2-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
3f49db7fa6f55835403a640405de9c48-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
2077de046986e512d59e39db91b240f5-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
a9452f054650a220b15acf8a10ab9b27-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
b521acb36bed3df65d483f0a88b977ff-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
893d72bc4b93603d9852511a778897a1-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
69c36671bbfd37dcf0e874c837be723f-ppc.cache-2
/var/cache/fontconfig: invalid cache file:
e48ff2ab1dbaaa018303ba3fdc970657-ppc.cache-2
fc-cache: succeeded


All I was doing at the time was moving fonts around, running fc-cache and
starting up openoffice.

Note You need to log in before you can comment on or make changes to this bug.